package com.olimex.bmp085;

public enum REGISTERS {

	AC1_MSB(0xAA), AC1_LSB(0xAB), AC2_MSB(0xAC), AC2_LSB(0xAD), AC3_MSB(0xAE), AC3_LSB(
			0xAF), AC4_MSB(0xB0), AC4_LSB(0xB1), AC5_MSB(0xB2), AC5_LSB(0xB3), AC6_MSB(
			0xB4), AC6_LSB(0xB5), B1_MSB(0xB6), B1_LSB(0xB7), B2_MSB(0xB8), B2_LSB(
			0xB9), MB_MSB(0xBA), MB_LSB(0xBB), MC_MSB(0xBC), MC_LSB(0xBD), MD_MSB(
			0xBE), MD_LSB(0xBF);

	private int reg_address;

	private REGISTERS(int reg_addr) {
		reg_address = reg_addr;
	}

	public int getAddress() {
		return reg_address;
	}

}
